metrics
Create Metric Dashboard
Create a user-defined metric dashboard.
Scopes: metrics:write
POST
/
v1
/
metrics
/
dashboards
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.metrics.create_dashboard(
name='string',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.metrics.createDashboard(
{
"name": "string"
},
);
console.log(response);
curl --request POST \
--url https://api.ourpay.dev/v1/metrics/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"metrics": [
"<string>"
],
"organization_id": "1dbfc517-0bbf-4301-9ba8-555ca42b9737"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
metrics: ['<string>'],
organization_id: '1dbfc517-0bbf-4301-9ba8-555ca42b9737'
})
};
fetch('https://api.ourpay.dev/v1/metrics/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"metrics": [
"<string>"
],
"organization_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Body
application/json
Schema for creating a metrics dashboard.
Response
Successful Response
A user-defined metrics dashboard.
Creation timestamp of the object.
Last modification timestamp of the object.
The ID of the object.
Display name for the dashboard.
List of metric slugs displayed in this dashboard.
The ID of the organization owning this dashboard.
⌘I
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.metrics.create_dashboard(
name='string',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.metrics.createDashboard(
{
"name": "string"
},
);
console.log(response);
